package com.kmall.admin.entity.mk.store;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 门店活动统计实体
 * 表名 mk_store_topic_stat
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-05-24 17:58:24
 */
public class MkStoreTopicStatEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 活动统计ID
     */
    private Integer storeTopicStatId;
    /**
     * 活动id
     */
    private Integer storeTopicId;
    /**
     * 门店id
     */
    private Integer storeId;
    /**
     * 浏览数
     */
    private Integer browseNum;
    /**
     * 访客量
     */
    private Integer visitNum;
    /**
     * 领取量
     */
    private Integer receiveNum;
    /**
     * 连带浏览量
     */
    private Integer relaBrowseNum;
    /**
     * 连带访客量
     */
    private Integer relaVisitorNum;
    /**
     * 页面访问深度
     */
    private Integer visitPageDeep;
    /**
     * 转发访客量
     */
    private Integer transVisitorNum;
    /**
     * 下单单数
     */
    private Integer submitOrderNum;
    /**
     * 下单人数
     */
    private Integer submitNum;
    /**
     * 支付单数
     */
    private Integer payOrderNum;
    /**
     * 连带支付单数
     */
    private Integer relaPayOrderNum;
    /**
     * 支付人数
     */
    private Integer payerNum;
    /**
     * 连带支付人数
     */
    private Integer relaPayerNum;
    /**
     * 支付件数
     */
    private Integer payCaseNum;
    /**
     * 连带支付件数
     */
    private Integer relaPayCaseNum;
    /**
     * 应收金额
     */
    private BigDecimal receivMoney;
    /**
     * 连带应收金额
     */
    private BigDecimal relaReceivMoney;
    /**
     * 实收金额
     */
    private BigDecimal actMoney;
    /**
     * 连带实收金额
     */
    private BigDecimal relaActMoney;
    /**
     * 是否有效,0:有效，1:无效
     */
    private String isValid;
    /**
     * 备注
     */
    private String note;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    private String storeTopicName;//活动名称

    private String storeTopicType;//活动类型

    private String storeName;//门店名称

    private String userName;//用户名称

    private Integer promTypeId;

    public Integer getPromTypeId() {
        return promTypeId;
    }

    public void setPromTypeId(Integer promTypeId) {
        this.promTypeId = promTypeId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getStoreTopicName() {
        return storeTopicName;
    }

    public void setStoreTopicName(String storeTopicName) {
        this.storeTopicName = storeTopicName;
    }

    public String getStoreTopicType() {
        return storeTopicType;
    }

    public void setStoreTopicType(String storeTopicType) {
        this.storeTopicType = storeTopicType;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public Integer getReceiveNum() {
        return receiveNum;
    }

    public void setReceiveNum(Integer receiveNum) {
        this.receiveNum = receiveNum;
    }

    /**
     * 设置：活动统计ID
     */
    public void setStoreTopicStatId(Integer storeTopicStatId) {
        this.storeTopicStatId = storeTopicStatId;
    }

    /**
     * 获取：活动统计ID
     */
    public Integer getStoreTopicStatId() {
        return storeTopicStatId;
    }
    /**
     * 设置：活动id
     */
    public void setStoreTopicId(Integer storeTopicId) {
        this.storeTopicId = storeTopicId;
    }

    /**
     * 获取：活动id
     */
    public Integer getStoreTopicId() {
        return storeTopicId;
    }
    /**
     * 设置：门店id
     */
    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    /**
     * 获取：门店id
     */
    public Integer getStoreId() {
        return storeId;
    }
    /**
     * 设置：浏览数
     */
    public void setBrowseNum(Integer browseNum) {
        this.browseNum = browseNum;
    }

    /**
     * 获取：浏览数
     */
    public Integer getBrowseNum() {
        return browseNum;
    }
    /**
     * 设置：访客量
     */
    public void setVisitNum(Integer visitNum) {
        this.visitNum = visitNum;
    }

    /**
     * 获取：访客量
     */
    public Integer getVisitNum() {
        return visitNum;
    }
    /**
     * 设置：连带浏览量
     */
    public void setRelaBrowseNum(Integer relaBrowseNum) {
        this.relaBrowseNum = relaBrowseNum;
    }

    /**
     * 获取：连带浏览量
     */
    public Integer getRelaBrowseNum() {
        return relaBrowseNum;
    }
    /**
     * 设置：连带访客量
     */
    public void setRelaVisitorNum(Integer relaVisitorNum) {
        this.relaVisitorNum = relaVisitorNum;
    }

    /**
     * 获取：连带访客量
     */
    public Integer getRelaVisitorNum() {
        return relaVisitorNum;
    }
    /**
     * 设置：页面访问深度
     */
    public void setVisitPageDeep(Integer visitPageDeep) {
        this.visitPageDeep = visitPageDeep;
    }

    /**
     * 获取：页面访问深度
     */
    public Integer getVisitPageDeep() {
        return visitPageDeep;
    }
    /**
     * 设置：转发访客量
     */
    public void setTransVisitorNum(Integer transVisitorNum) {
        this.transVisitorNum = transVisitorNum;
    }

    /**
     * 获取：转发访客量
     */
    public Integer getTransVisitorNum() {
        return transVisitorNum;
    }
    /**
     * 设置：下单单数
     */
    public void setSubmitOrderNum(Integer submitOrderNum) {
        this.submitOrderNum = submitOrderNum;
    }

    /**
     * 获取：下单单数
     */
    public Integer getSubmitOrderNum() {
        return submitOrderNum;
    }
    /**
     * 设置：下单人数
     */
    public void setSubmitNum(Integer submitNum) {
        this.submitNum = submitNum;
    }

    /**
     * 获取：下单人数
     */
    public Integer getSubmitNum() {
        return submitNum;
    }
    /**
     * 设置：支付单数
     */
    public void setPayOrderNum(Integer payOrderNum) {
        this.payOrderNum = payOrderNum;
    }

    /**
     * 获取：支付单数
     */
    public Integer getPayOrderNum() {
        return payOrderNum;
    }
    /**
     * 设置：连带支付单数
     */
    public void setRelaPayOrderNum(Integer relaPayOrderNum) {
        this.relaPayOrderNum = relaPayOrderNum;
    }

    /**
     * 获取：连带支付单数
     */
    public Integer getRelaPayOrderNum() {
        return relaPayOrderNum;
    }
    /**
     * 设置：支付人数
     */
    public void setPayerNum(Integer payerNum) {
        this.payerNum = payerNum;
    }

    /**
     * 获取：支付人数
     */
    public Integer getPayerNum() {
        return payerNum;
    }
    /**
     * 设置：连带支付人数
     */
    public void setRelaPayerNum(Integer relaPayerNum) {
        this.relaPayerNum = relaPayerNum;
    }

    /**
     * 获取：连带支付人数
     */
    public Integer getRelaPayerNum() {
        return relaPayerNum;
    }
    /**
     * 设置：支付件数
     */
    public void setPayCaseNum(Integer payCaseNum) {
        this.payCaseNum = payCaseNum;
    }

    /**
     * 获取：支付件数
     */
    public Integer getPayCaseNum() {
        return payCaseNum;
    }
    /**
     * 设置：连带支付件数
     */
    public void setRelaPayCaseNum(Integer relaPayCaseNum) {
        this.relaPayCaseNum = relaPayCaseNum;
    }

    /**
     * 获取：连带支付件数
     */
    public Integer getRelaPayCaseNum() {
        return relaPayCaseNum;
    }
    /**
     * 设置：应收金额
     */
    public void setReceivMoney(BigDecimal receivMoney) {
        this.receivMoney = receivMoney;
    }

    /**
     * 获取：应收金额
     */
    public BigDecimal getReceivMoney() {
        return receivMoney;
    }
    /**
     * 设置：连带应收金额
     */
    public void setRelaReceivMoney(BigDecimal relaReceivMoney) {
        this.relaReceivMoney = relaReceivMoney;
    }

    /**
     * 获取：连带应收金额
     */
    public BigDecimal getRelaReceivMoney() {
        return relaReceivMoney;
    }
    /**
     * 设置：实收金额
     */
    public void setActMoney(BigDecimal actMoney) {
        this.actMoney = actMoney;
    }

    /**
     * 获取：实收金额
     */
    public BigDecimal getActMoney() {
        return actMoney;
    }
    /**
     * 设置：连带实收金额
     */
    public void setRelaActMoney(BigDecimal relaActMoney) {
        this.relaActMoney = relaActMoney;
    }

    /**
     * 获取：连带实收金额
     */
    public BigDecimal getRelaActMoney() {
        return relaActMoney;
    }
    /**
     * 设置：是否有效,0:有效，1:无效
     */
    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    /**
     * 获取：是否有效,0:有效，1:无效
     */
    public String getIsValid() {
        return isValid;
    }
    /**
     * 设置：备注
     */
    public void setNote(String note) {
        this.note = note;
    }

    /**
     * 获取：备注
     */
    public String getNote() {
        return note;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
